Server Actions
stock
44 Server Actions du domaine stock, générées depuis le registre de l’API agent.
stock__addSessionPiece
| Argument | Type | Requis |
|---|---|---|
sessionId | string | oui |
quick | QuickPiece | oui |
curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
-H "Authorization: Bearer $CLE" \
-H "Content-Type: application/json" \
-d '{
"action": "stock__addSessionPiece",
"args": [
"<sessionId>",
"<quick>"
]
}'stock__bulkEditSession
| Argument | Type | Requis |
|---|---|---|
sessionId | string | oui |
productIds | string[] | oui |
op | BulkOp | oui |
curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
-H "Authorization: Bearer $CLE" \
-H "Content-Type: application/json" \
-d '{
"action": "stock__bulkEditSession",
"args": [
"<sessionId>",
"<productIds>",
"<op>"
]
}'stock__closeEntrySession
| Argument | Type | Requis |
|---|---|---|
id | string | oui |
curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
-H "Authorization: Bearer $CLE" \
-H "Content-Type: application/json" \
-d '{
"action": "stock__closeEntrySession",
"args": [
"<id>"
]
}'stock__createEntrySession
| Argument | Type | Requis |
|---|---|---|
input | SessionInput | oui |
curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
-H "Authorization: Bearer $CLE" \
-H "Content-Type: application/json" \
-d '{
"action": "stock__createEntrySession",
"args": [
"<input>"
]
}'stock__createNativeProduct
| Argument | Type | Requis |
|---|---|---|
input | NativeProductFormInput | oui |
draftId | string | null | non |
curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
-H "Authorization: Bearer $CLE" \
-H "Content-Type: application/json" \
-d '{
"action": "stock__createNativeProduct",
"args": [
"<input>"
]
}'stock__createVendorColis
| Argument | Type | Requis |
|---|---|---|
raw | unknown | oui |
curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
-H "Authorization: Bearer $CLE" \
-H "Content-Type: application/json" \
-d '{
"action": "stock__createVendorColis",
"args": [
"<raw>"
]
}'stock__deleteNativeProduct
| Argument | Type | Requis |
|---|---|---|
id | string | oui |
curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
-H "Authorization: Bearer $CLE" \
-H "Content-Type: application/json" \
-d '{
"action": "stock__deleteNativeProduct",
"args": [
"<id>"
]
}'stock__deleteProductDraft
| Argument | Type | Requis |
|---|---|---|
draftId | string | oui |
curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
-H "Authorization: Bearer $CLE" \
-H "Content-Type: application/json" \
-d '{
"action": "stock__deleteProductDraft",
"args": [
"<draftId>"
]
}'stock__exportVendorLabelsCsv
| Argument | Type | Requis |
|---|---|---|
productIds | string[] | oui |
markPrinted | boolean | oui |
curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
-H "Authorization: Bearer $CLE" \
-H "Content-Type: application/json" \
-d '{
"action": "stock__exportVendorLabelsCsv",
"args": [
"<productIds>",
"<markPrinted>"
]
}'stock__getPieceLabelState
| Argument | Type | Requis |
|---|---|---|
productId | string | oui |
curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
-H "Authorization: Bearer $CLE" \
-H "Content-Type: application/json" \
-d '{
"action": "stock__getPieceLabelState",
"args": [
"<productId>"
]
}'stock__getPieceTraceability
| Argument | Type | Requis |
|---|---|---|
productId | string | oui |
curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
-H "Authorization: Bearer $CLE" \
-H "Content-Type: application/json" \
-d '{
"action": "stock__getPieceTraceability",
"args": [
"<productId>"
]
}'stock__getProductHistory
| Argument | Type | Requis |
|---|---|---|
productId | string | oui |
curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
-H "Authorization: Bearer $CLE" \
-H "Content-Type: application/json" \
-d '{
"action": "stock__getProductHistory",
"args": [
"<productId>"
]
}'stock__getVendorBundlePanel
| Argument | Type | Requis |
|---|---|---|
id | string | oui |
curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
-H "Authorization: Bearer $CLE" \
-H "Content-Type: application/json" \
-d '{
"action": "stock__getVendorBundlePanel",
"args": [
"<id>"
]
}'stock__getVendorLogSale
| Argument | Type | Requis |
|---|---|---|
logId | string | oui |
curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
-H "Authorization: Bearer $CLE" \
-H "Content-Type: application/json" \
-d '{
"action": "stock__getVendorLogSale",
"args": [
"<logId>"
]
}'stock__getVendorPieceActivity
| Argument | Type | Requis |
|---|---|---|
id | string | oui |
curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
-H "Authorization: Bearer $CLE" \
-H "Content-Type: application/json" \
-d '{
"action": "stock__getVendorPieceActivity",
"args": [
"<id>"
]
}'stock__getVendorPieceSheet
| Argument | Type | Requis |
|---|---|---|
id | string | oui |
curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
-H "Authorization: Bearer $CLE" \
-H "Content-Type: application/json" \
-d '{
"action": "stock__getVendorPieceSheet",
"args": [
"<id>"
]
}'stock__getVendorProductImages
| Argument | Type | Requis |
|---|---|---|
productId | string | oui |
curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
-H "Authorization: Bearer $CLE" \
-H "Content-Type: application/json" \
-d '{
"action": "stock__getVendorProductImages",
"args": [
"<productId>"
]
}'stock__getVendorStockColumnsAction
Sans argument.
curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
-H "Authorization: Bearer $CLE" \
-H "Content-Type: application/json" \
-d '{
"action": "stock__getVendorStockColumnsAction",
"args": []
}'stock__getVendorStockExportAction
| Argument | Type | Requis |
|---|---|---|
raw | StockQueryInput | oui |
curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
-H "Authorization: Bearer $CLE" \
-H "Content-Type: application/json" \
-d '{
"action": "stock__getVendorStockExportAction",
"args": [
"<raw>"
]
}'stock__getVendorStockViewAction
| Argument | Type | Requis |
|---|---|---|
raw | StockQueryInput | oui |
curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
-H "Authorization: Bearer $CLE" \
-H "Content-Type: application/json" \
-d '{
"action": "stock__getVendorStockViewAction",
"args": [
"<raw>"
]
}'stock__importNativeProducts
| Argument | Type | Requis |
|---|---|---|
rows | ImportRowInput[] | oui |
batchKey | string | oui |
curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
-H "Authorization: Bearer $CLE" \
-H "Content-Type: application/json" \
-d '{
"action": "stock__importNativeProducts",
"args": [
"<rows>",
"<batchKey>"
]
}'stock__listVendorDraftsAction
Sans argument.
curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
-H "Authorization: Bearer $CLE" \
-H "Content-Type: application/json" \
-d '{
"action": "stock__listVendorDraftsAction",
"args": []
}'stock__listVendorPieceEssences
Sans argument.
curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
-H "Authorization: Bearer $CLE" \
-H "Content-Type: application/json" \
-d '{
"action": "stock__listVendorPieceEssences",
"args": []
}'stock__listVendorPieceProductTypes
Sans argument.
curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
-H "Authorization: Bearer $CLE" \
-H "Content-Type: application/json" \
-d '{
"action": "stock__listVendorPieceProductTypes",
"args": []
}'stock__lookupScannedPiece
| Argument | Type | Requis |
|---|---|---|
raw | string | oui |
curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
-H "Authorization: Bearer $CLE" \
-H "Content-Type: application/json" \
-d '{
"action": "stock__lookupScannedPiece",
"args": [
"<raw>"
]
}'stock__previewPieceReference
| Argument | Type | Requis |
|---|---|---|
input | { essence: string; type: string; storageLocationId: string } | oui |
curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
-H "Authorization: Bearer $CLE" \
-H "Content-Type: application/json" \
-d '{
"action": "stock__previewPieceReference",
"args": [
"<input>"
]
}'stock__putVendorLogOnSale
| Argument | Type | Requis |
|---|---|---|
raw | unknown | oui |
curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
-H "Authorization: Bearer $CLE" \
-H "Content-Type: application/json" \
-d '{
"action": "stock__putVendorLogOnSale",
"args": [
"<raw>"
]
}'stock__recordLabelPrint
| Argument | Type | Requis |
|---|---|---|
productIds | string[] | oui |
formatId | string | oui |
curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
-H "Authorization: Bearer $CLE" \
-H "Content-Type: application/json" \
-d '{
"action": "stock__recordLabelPrint",
"args": [
"<productIds>",
"<formatId>"
]
}'stock__restoreDeletedNativeProduct
| Argument | Type | Requis |
|---|---|---|
id | string | oui |
curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
-H "Authorization: Bearer $CLE" \
-H "Content-Type: application/json" \
-d '{
"action": "stock__restoreDeletedNativeProduct",
"args": [
"<id>"
]
}'stock__restoreProductVersion
| Argument | Type | Requis |
|---|---|---|
productId | string | oui |
historyId | string | oui |
curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
-H "Authorization: Bearer $CLE" \
-H "Content-Type: application/json" \
-d '{
"action": "stock__restoreProductVersion",
"args": [
"<productId>",
"<historyId>"
]
}'stock__saveProductDraft
| Argument | Type | Requis |
|---|---|---|
draftId | string | null | oui |
input | Record<string, string> | oui |
curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
-H "Authorization: Bearer $CLE" \
-H "Content-Type: application/json" \
-d '{
"action": "stock__saveProductDraft",
"args": [
"<draftId>",
"<input>"
]
}'stock__saveVendorPieceField
| Argument | Type | Requis |
|---|---|---|
id | string | oui |
field | string | oui |
raw | string | null | oui |
curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
-H "Authorization: Bearer $CLE" \
-H "Content-Type: application/json" \
-d '{
"action": "stock__saveVendorPieceField",
"args": [
"<id>",
"<field>",
"<raw>"
]
}'stock__saveVendorProductImages
| Argument | Type | Requis |
|---|---|---|
productId | string | oui |
input | RawProductImageInput[] | oui |
curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
-H "Authorization: Bearer $CLE" \
-H "Content-Type: application/json" \
-d '{
"action": "stock__saveVendorProductImages",
"args": [
"<productId>",
"<input>"
]
}'stock__saveVendorStockColumnsAction
| Argument | Type | Requis |
|---|---|---|
ids | string[] | oui |
curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
-H "Authorization: Bearer $CLE" \
-H "Content-Type: application/json" \
-d '{
"action": "stock__saveVendorStockColumnsAction",
"args": [
"<ids>"
]
}'stock__searchVendorGroupablePieces
| Argument | Type | Requis |
|---|---|---|
locationId | string | oui |
query | string | oui |
curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
-H "Authorization: Bearer $CLE" \
-H "Content-Type: application/json" \
-d '{
"action": "stock__searchVendorGroupablePieces",
"args": [
"<locationId>",
"<query>"
]
}'stock__setNativeProductPublished
| Argument | Type | Requis |
|---|---|---|
id | string | oui |
published | boolean | oui |
curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
-H "Authorization: Bearer $CLE" \
-H "Content-Type: application/json" \
-d '{
"action": "stock__setNativeProductPublished",
"args": [
"<id>",
"<published>"
]
}'stock__setPartnerReference
| Argument | Type | Requis |
|---|---|---|
productId | string | oui |
reference | string | oui |
curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
-H "Authorization: Bearer $CLE" \
-H "Content-Type: application/json" \
-d '{
"action": "stock__setPartnerReference",
"args": [
"<productId>",
"<reference>"
]
}'stock__setVendorBundleHold
| Argument | Type | Requis |
|---|---|---|
raw | unknown | oui |
curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
-H "Authorization: Bearer $CLE" \
-H "Content-Type: application/json" \
-d '{
"action": "stock__setVendorBundleHold",
"args": [
"<raw>"
]
}'stock__setVendorBundlePrice
| Argument | Type | Requis |
|---|---|---|
raw | unknown | oui |
curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
-H "Authorization: Bearer $CLE" \
-H "Content-Type: application/json" \
-d '{
"action": "stock__setVendorBundlePrice",
"args": [
"<raw>"
]
}'stock__setVendorLabelsPrinted
| Argument | Type | Requis |
|---|---|---|
productIds | string[] | oui |
printed | boolean | oui |
curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
-H "Authorization: Bearer $CLE" \
-H "Content-Type: application/json" \
-d '{
"action": "stock__setVendorLabelsPrinted",
"args": [
"<productIds>",
"<printed>"
]
}'stock__suggestPrice
| Argument | Type | Requis |
|---|---|---|
input | SuggestedPriceRequest & { storageLocationId: string } | oui |
curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
-H "Authorization: Bearer $CLE" \
-H "Content-Type: application/json" \
-d '{
"action": "stock__suggestPrice",
"args": [
"<input>"
]
}'stock__updateEntrySession
| Argument | Type | Requis |
|---|---|---|
id | string | oui |
input | SessionInput | oui |
curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
-H "Authorization: Bearer $CLE" \
-H "Content-Type: application/json" \
-d '{
"action": "stock__updateEntrySession",
"args": [
"<id>",
"<input>"
]
}'stock__updateNativeProduct
| Argument | Type | Requis |
|---|---|---|
id | string | oui |
input | NativeProductFormInput | oui |
curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
-H "Authorization: Bearer $CLE" \
-H "Content-Type: application/json" \
-d '{
"action": "stock__updateNativeProduct",
"args": [
"<id>",
"<input>"
]
}'stock__withdrawVendorBundle
| Argument | Type | Requis |
|---|---|---|
id | string | oui |
curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
-H "Authorization: Bearer $CLE" \
-H "Content-Type: application/json" \
-d '{
"action": "stock__withdrawVendorBundle",
"args": [
"<id>"
]
}'